## org.eclipse.jst.jsf.common.sets.mapping
Class AbstractObjectInjectiveSetMapping

    java.lang.Object
      org.eclipse.jst.jsf.common.sets.mapping.AbstractObjectInjectiveSetMapping

All Implemented Interfaces:
  AxiomaticSetMapping, ObjectInjectiveSetMapping

Direct Known Subclasses:
  ElementToTagIdentifierMapping

    public abstract class AbstractObjectInjectiveSetMapping

extends java.lang.Object
implements ObjectInjectiveSetMapping

Super-class of all ObjectInjectiveSetMapping.

Provisional API - subject to change

Constructor Summary
`AbstractObjectInjectiveSetMapping()`

Method Summary
`AxiomaticSet` `map(AxiomaticSet set)`
`abstract java.lang.Object` `map(java.lang.Object element)`
`java.util.Iterator` `mapIterator(AxiomaticSet set)` This method optimizes the case where a client wants to apply some mapping or constraint to each element of a set until a particular condition applies and then stop.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractObjectInjectiveSetMapping

    public AbstractObjectInjectiveSetMapping()

Method Detail

### mapIterator

    public java.util.Iterator mapIterator(AxiomaticSet set)

  Description copied from interface: `ObjectInjectiveSetMapping`
  This method optimizes the case where a client wants to apply some mapping or constraint to each element of a set until a particular condition applies and then stop. Mapping's that implement this interface should generally implement their map(set) method as: for (Iterator it = mapIterator(set); it.hasNext();) { result.add(doMapping(it.next)); }

  Specified by:
    `mapIterator` in interface `ObjectInjectiveSetMapping`
  Returns:
    an iterator that allows a client to apply the mapping one element of set at a time. The iterator is immutable and should throw UnsupportedOperationException if remove() is called.

### map

    public abstract java.lang.Object map(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
    the result object from the mapping on element

### map

    public final AxiomaticSet map(AxiomaticSet set)

  Specified by:
    `map` in interface `AxiomaticSetMapping`
  Returns:
    the new set resulting from applying the map to set